## octave-divand 1.1.2+dfsg

=== DESCRIPTION ===
Name: divand
Version: 1.1.2
Date: 2014-06-18
Author: Alexander Barth <barth.alexander@gmail.com>
Maintainer: Alexander Barth <barth.alexander@gmail.com>
Title: divand
Description: divand performs an n-dimensional variational analysis (interpolation) of arbitrarily located observations.
Depends: octave (>= 3.4.0)
License: GPLv2+
Url: http://modb.oce.ulg.ac.be/mediawiki/index.php/divand, http://www.geosci-model-dev.net/7/225/2014/gmd-7-225-2014.html

=== debian/changelog ===
octave-divand (1.1.2+dfsg-7) unstable; urgency=medium

  * d/control:
    + Update Homepage URL
    + Bump Standards-Version to 4.7.2 (no changes needed)
    + Drop “Rules-Requires-Root: no”, which is now the default
  * d/copyright: Update Source URL
  * d/u/metadata:
    + Add upstream repository URL
    + Update Bug-Database URL
  * d/watch: Convert to format version 5
  * d/s/lintian-override: Override Lintian warning
    debian-watch-lacks-sourceforge-redirector

 -- Rafael Laboissière <rafael@debian.org>  Sun, 12 Oct 2025 04:30:25 -0300

octave-divand (1.1.2+dfsg-6) unstable; urgency=medium

  * d/copyright:
    + Accentuate my family name
    + Fix text of GPL-2 license
    + Update Copyright years for debian/* files
  * Set upstream metadata fields: Archive.
  * d/watch:
    + Bump to format version 4
    + Adjust for new URL at gnu-octave.github.io
    + Mangle version for +dfsg suffix
  * d/control: Bump Standards-Version to 4.6.1 (no changes needed)
  * Build-depend on dh-sequence-octave
    + d/control: Ditto
    + d/rules: Drop the --with=octave option from dh call
  * d/s/lintian-overrides: Override Lintian warning
    debian-watch-lacks-sourceforge-redirector

 -- Rafael Laboissière <rafael@debian.org>  Mon, 05 Dec 2022 04:50:11 -0300

octave-divand (1.1.2+dfsg-5) unstable; urgency=medium

  * d/control:
    + Bump Standards-Version to 4.5.0 (no changes needed)
    + Bump debhelper compatibitlity level to 13
  * d/u/metadata: New file

 -- Rafael Laboissière <rafael@debian.org>  Tue, 28 Jul 2020 05:41:19 -0300

octave-divand (1.1.2+dfsg-4) unstable; urgency=medium

  [ Mike Miller ]
  * d/control: Use secure URL for upstream source.

  [ Rafael Laboissiere ]
  * d/control:
    + Add Rules-Requires-Root: no
    + Bump Standards-Version to 4.3.0
    + Bump to debhelper compat level 12
  * Build-depend on debhelper-compat instead of using d/compat
  * d/u/metadata: Fix YAML syntax
  * d/copyright: Use secure URL in Format header

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 02 Jan 2019 22:55:13 -0200

octave-divand (1.1.2+dfsg-3) unstable; urgency=medium

  * Use dh-octave for building the package
  * d/control:
     + Use Debian's GitLab URLs in Vcs-* headers
     + Change Maintainer to team+pkg-octave-team@tracker.debian.org

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 10 Feb 2018 07:28:33 -0200

octave-divand (1.1.2+dfsg-2) unstable; urgency=medium

  * Use the dh-based version of octave-pkg-dev
  * Set debhelper compatibility level to >= 11
  * d/control:
    + Bump Standards-Version to 4.1.0 (no changes needed)
    + Add Testsuite field

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 29 Dec 2017 22:13:21 -0200

octave-divand (1.1.2+dfsg-1) unstable; urgency=low

  * Initial release (closes: #865794)

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 28 Jul 2017 10:31:54 -0300

=== debian/control ===
Source: octave-divand
Section: math
Priority: optional
Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
Uploaders: Rafael Laboissière <rafael@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-octave
Standards-Version: 4.7.2
Homepage: https://gnu-octave.github.io/packages/divand/
Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-divand.git
Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-divand
Testsuite: autopkgtest-pkg-octave

Package: octave-divand
Architecture: all
Depends: ${misc:Depends}, ${octave:Depends}
Description: n-dimensional interpolation for Octave
 This package contains functions for performing multidimensional
 variational analysis in Octave, a scientific computation software.
 They allow the interpolation and analysis of observations on
 curvilinear orthogonal grids in an arbitrary high dimensional space
 by minimizing a cost function.
 .
 This Octave add-on package is part of the Octave-Forge project.

=== debian/watch ===
Version: 5

Source: https://gnu-octave.github.io/packages/divand/
Matching-Pattern: https://downloads.sourceforge.net/project/octave/Octave%20Forge%20Packages/Individual%20Package%20Releases/divand-@ANY_VERSION@@ARCHIVE_EXT@
Dversionmangle: s/\+dfsg$//
Repacksuffix: +dfsg
